<?php
// $Id: language.php,v 1.2 2006/10/05 10:40:36 ohwada Exp $

// 2006-10-01 K.OHWADA
// use locate.php

// 2006-09-10 K.OHWADA
// divided lang files

// 2006-07-08 K.OHWADA
// this is new file

//=========================================================
// Happy Linux Framework Module
// 2006-07-02 K.OHWADA
//=========================================================

global $xoopsConfig;
$XOOPS_LANGUAGE = $xoopsConfig['language'];

// global
if ( file_exists(XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/global.php') ) 
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/global.php';
}
else
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/english/global.php';
}

// search
if ( file_exists(XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/search.php') ) 
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/search.php';
}
else
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/english/search.php';
}

// form
if ( file_exists(XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/form.php') ) 
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/form.php';
}
else
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/english/form.php';
}

// page_frame
if ( file_exists(XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/page_frame.php') ) 
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/page_frame.php';
}
else
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/english/page_frame.php';
}

// manage
if ( file_exists(XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/manage.php') ) 
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/manage.php';
}
else
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/english/manage.php';
}

// locate
if ( file_exists(XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/locate.php') ) 
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/'.$XOOPS_LANGUAGE.'/locate.php';
}
else
{
	include_once XOOPS_ROOT_PATH.'/modules/happy_linux/language/english/locate.php';
}

?>